Skip to content
POST /integrated-account/{integrated_account_id}/mcp

Path Parameters

integrated_account_idstring · uuid
required·

The ID of the integrated account to create the MCP server for.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795

Request Body

configobject
methodsstring[]

The methods allowed for this server.

Example: ["GET","POST","READ","DOWNLAOD"]
tagsstring[]

The tags associated with this server.

Example: ["api","webhook"]
namestring

The name of the MCP server.

Example: My MCP server

Response Body

configobject

Configuration settings for the MCP server

methodsstring[]

List of methods allowed for this server

tagsstring[]

List of tags associated with this server

created_atstring · date-time

Timestamp when the MCP server was created

idstring · uuid

Unique identifier for the newly created MCP server

namestring

Name of the MCP server

tokenstring

The generated MCP server value used for authentication

updated_atstring · date-time

Timestamp when the MCP server was last updated

urlstring

The full URL endpoint for accessing the MCP Server

curl -X POST 'https://api.truto.one/integrated-account/{integrated_account_id}/mcp' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "My MCP server",
  "config": {}
}'
const body = {
  "name": "My MCP server",
  "config": {}
};

const response = await fetch('https://api.truto.one/integrated-account/{integrated_account_id}/mcp', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/integrated-account/{integrated_account_id}/mcp"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "name": "My MCP server",
    "config": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())